Uses of Interface
io.vertx.httpproxy.interceptors.BodyTransformer
-
Packages that use BodyTransformer Package Description io.vertx.httpproxy.interceptors io.vertx.rxjava3.httpproxy.interceptors -
-
Uses of BodyTransformer in io.vertx.httpproxy.interceptors
Methods in io.vertx.httpproxy.interceptors that return BodyTransformer Modifier and Type Method Description static BodyTransformerBodyTransformer. discard()Create a callback to discard the body.static BodyTransformerBodyTransformer. transformJson(java.util.function.Function<Object,Object> transformer)Create a callback for transform json with unknown shape.static BodyTransformerBodyTransformer. transformJsonArray(java.util.function.Function<JsonArray,JsonArray> transformer)Create a callback for transform JsonArray.static BodyTransformerBodyTransformer. transformJsonObject(java.util.function.Function<JsonObject,JsonObject> transformer)Create a callback for transform JsonObject.static BodyTransformerBodyTransformer. transformText(java.util.function.Function<String,String> transformer, String encoding)Create a callback for transform texts.Methods in io.vertx.httpproxy.interceptors with parameters of type BodyTransformer Modifier and Type Method Description static ProxyInterceptorBodyInterceptor. modifyBody(BodyTransformer requestTransformer, BodyTransformer responseTransformer)Apply callbacks to change the request and response bodies when the proxy receives them.static ProxyInterceptorBodyInterceptor. modifyRequestBody(BodyTransformer requestTransformer)Apply callbacks to change the request body when the proxy receives it.static ProxyInterceptorBodyInterceptor. modifyResponseBody(BodyTransformer responseTransformer)Apply callbacks to change the response body when the proxy receives it. -
Uses of BodyTransformer in io.vertx.rxjava3.httpproxy.interceptors
Methods in io.vertx.rxjava3.httpproxy.interceptors that return BodyTransformer Modifier and Type Method Description BodyTransformerBodyTransformer. getDelegate()Methods in io.vertx.rxjava3.httpproxy.interceptors with parameters of type BodyTransformer Modifier and Type Method Description static BodyTransformerBodyTransformer. newInstance(BodyTransformer arg)Constructors in io.vertx.rxjava3.httpproxy.interceptors with parameters of type BodyTransformer Constructor Description BodyTransformer(BodyTransformer delegate)
-